
/*==============================*/
/* entire */
/*==============================*/
body {
    font-size: 1rem;
    word-break: break-word;
}
a:hover {
    text-decoration: none;
    opacity: 0.8;
}
header > div.fixed-top {
    background-color: rgba(52, 58, 64, 0.75) !important;
}
.navbar {
    max-width: 1200px;
    padding: 8px 30px;
}
.navbar-brand {
    max-width: 300px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
@media (max-width: 767px) {
    .navbar {
        padding: 8px;
    }
    .navbar-brand {
        width: calc(100% - 100px);
    }
}
.navbar-toggler {
    font-size: 1.2rem;
}
.user-info-outer {
    max-width: 1200px;
}
section h3 {
    background: #eee;
}
.card-columns {
    column-count: 1;
}
div.form-group {
    text-align: left; /* to fix error message on left position*/
}

/* validation error message */
label.error {
    color: red;
    font-size: 0.9rem;
}

.btn-rounded-right {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.mh-40 {
    max-height: 40vh !important;
}

.fa-star {
    text-shadow: 0 0 1px #000;
}

.slogan-section small {
    width: calc(100% - 80px);
}
.slogan-section .sns-buttons {
    top: 0.5rem;
    right: 0.5rem;
    z-index: 401;
    list-style: none;
}
.slogan-section .sns-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 32px;
    height: 32px;
    background: #3490dc;
    border: none;
    border-radius: 50%;
    color: #fff;
    font-size: 1rem;
}
.slogan-section .fb-button {
    background: #4267b2;
}

/*==============================*/
/* original classes */
/*==============================*/
.hide {
    display: none;
}
.centering {
    max-width: 680px;
    margin: 0 auto;
}
.upper-space {
    margin-top: 56px;
}
.mw-50 {
    max-width: 50% !important;
}
.text-original {
    color: #009fb9 !important;
}
.bg-original {
    background-color: #009fb9 !important;
}
.border-original {
    border-color: #009fb9 !important;
}
.absolute-center {
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

/*==============================*/
/* content header */
/*==============================*/
.favorite-content-button {
    position: absolute;
    top: 8px;
    right: 100px;
    font-size: 1.5rem;
    transition: 0.5s;
    color: #f8f9fa;
}
.favorite-content-button.on {
    color: #ffdc00!important;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}
@media (max-width: 767px) {
    .favorite-content-button {
        right: 75px;
    }
}


/*==============================*/
/* main visual */
/*==============================*/
.mv-section {
    width: 100%;
    max-width: 100%;
    height: 600px;
    background: center no-repeat;
    background-size: cover;
}
.mv-section .jumbotron {
    position: relative;
    height: 600px;
    background-color: rgba(255,255,255,0.6);
}
.mv-section .jumbotron div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit-transform: translateY(-50%) translateX(-50%);
    width: 100%;
}
.mv-section h2 {
    font-size: 1rem;
    line-height: 1.6rem;
}
.news-section .news {
    line-height: 2;
}

/*==============================*/
/* map */
/*==============================*/
#map {
    height: 55vh;
}
.leaflet-popup-content-wrapper {
    border-radius: 0 !important;
}
.leaflet-popup-content {
    width: 160px !important;
}
.leaflet-popup-content .title {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.leaflet-popup-content .description {
    overflow: hidden;
    height: 64px;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    white-space: nowrap;
}
#map .leaflet-marker-icon:not(.marker-cluster) {
    border-radius: 50%;
    background: #fff;
    padding: 2px;
    object-fit: cover;
}


/*==============================*/
/* post, posts */
/*==============================*/
.post-section .centering,
.posts-section .centering {
    max-width: 480px;
}
.post-section ul,
.posts-section ul {
    list-style: none;
}
.post-section .external-url,
.posts-section .external-url {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.post-section.no-map-link .map-link,
.posts-section .map-link {
    display: none;
}
.post-section .address-outer .btn-link,
.posts-section .address-outer .btn-link {
    text-align: left;
    width: calc(100% - 30px);
}
.post-section .description-outer,
.posts-section .description-outer {
    overflow: hidden;
}
.post-section .show-full-description-button::after,
.posts-section .show-full-description-button::after {
    content: "続きを読む";
}
.post-section .show-full-description-button.open::after,
.posts-section .show-full-description-button.open::after {
    content: "×閉じる";
}
.twitter-button {
    top: 16px;
    right: 16px;
}
.twitter-button a {
    display: inline-block;
    background: #3490dc;
    width: 100px;
    text-align: center;
    border-radius: 5px;
    color: #fff;
}
.twitter-button i {
    vertical-align: middle;
}
.favorite-post-button,
.vote-button,
.comment-button {
    transition: 0.5s;
    cursor: pointer;
}
.favorite-post-button {
    position: absolute;
    top: 6px;
    left: 12px;
    font-size: 1.5rem;
    color: #f8f9fa;
}
.favorite-post-button:hover {
    color: #ffdc00;
}
.favorite-post-button.on {
    color: #ffdc00 !important;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}
.comment-button.open {
    color: #3490dc !important;
}
.vote-button.on {
    color: #ff8a80 !important;
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}
.vote-button.vote-down.on {
    color: red !important;
    -webkit-transform: rotate(-360deg);
    -moz-transform: rotate(-360deg);
    -o-transform: rotate(-360deg);
    -ms-transform: rotate(-360deg);
    transform: rotate(-360deg);
}
.delete-button {
    position: absolute;
    top: 10px;
    right: 12px;
    padding: 3px 6px;
    letter-spacing: 1.2px;
}
.edit-button {
    position: absolute;
    top: 10px;
    right: 64px;
    padding: 3px 6px;
    letter-spacing: 1.2px;
}
.thumbnail-outer .icon {
    opacity: 0.5;
    max-width: 60px;
}
.comments {
    max-height: 40vh;
    overflow-y: auto;
}

/*==============================*/
/* calendar */
/*==============================*/
.expiration-outer .input-group-text,
.report-date-outer .input-group-text {
    color: #fff;
    background-color: #3490dc;
}
.datepicker-days th.dow:first-child,
.datepicker-days td:first-child {
    color: #f00;
}
.datepicker-days th.dow:last-child,
.datepicker-days td:last-child {
    color: #00f;
}

/*==============================*/
/* slick */
/*==============================*/
.slick-prev {
    left: 2px !important;
    z-index: 1;
}
.slick-next {
    right: 2px !important;
    z-index: 1;
}
.slick-prev:before,
.slick-next:before {
  color: #000 !important;
}

/*==============================*/
/* articles */
/*==============================*/
.articles .card {
    max-width: 31.3%;
    margin: 1%;
}
.articles .card-title {
    font-size: 14px;
}
@media (max-width: 767px) {
    .articles .card {
        max-width: 48%;
        margin: 1%;
    }
}